cURL
curl --request PATCH \
--url https://app.teable.ai/api/table/%7BtableId%7D/view/%7BviewId%7D/plugin/%7BpluginInstallId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"storage":{"property1":null,"property2":null}}'{
"tableId": "<string>",
"viewId": "<string>",
"pluginInstallId": "<string>",
"storage": {}
}view
Patch table view plugin
Update storage of a plugin in a view
PATCH
/
table
/
{tableId}
/
view
/
{viewId}
/
plugin
/
{pluginInstallId}
cURL
curl --request PATCH \
--url https://app.teable.ai/api/table/%7BtableId%7D/view/%7BviewId%7D/plugin/%7BpluginInstallId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"storage":{"property1":null,"property2":null}}'{
"tableId": "<string>",
"viewId": "<string>",
"pluginInstallId": "<string>",
"storage": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Last modified on March 5, 2026
Was this page helpful?
⌘I

